clear all
close all
numSeeds = 8;
load('NuclearReceptorBST.mat')
BST = cell2mat(BST);
load('SimpleStoppingRules_onNR_uncertainty.mat')
RangeThr = 0.04:0.005:0.4;
DifferenceTableNR = computeDifferenceToBST(RangeThr,seedsAU,BST,evaluationMeasure,percentageExperiments,numSeeds);
figure;plot(DifferenceTableNR(:,1), DifferenceTableNR(:,2)); xlabel('Threshold');ylabel('Difference in Percent of Experiments to BST');title('NR')
axis([min(RangeThr) max(RangeThr) 0 1])


load('GPCRBST.mat')
BST = cell2mat(BST);
load('SimpleStoppingRules_onGPCR_uncertainty.mat')
RangeThr = 0.04:0.005:0.4;
DifferenceTableGPCR = computeDifferenceToBST(RangeThr,seedsAU,BST,evaluationMeasure,percentageExperiments,numSeeds);
figure;plot(DifferenceTableNR(:,1), DifferenceTableNR(:,2)); xlabel('Threshold');ylabel('Difference in Percent of Experiments to BST');title('GPCR')
axis([min(RangeThr) max(RangeThr) 0 1])

load('IonChannelBST.mat')
BST = cell2mat(BST);
load('SimpleStoppingRules_onIC_uncertainty.mat')
RangeThr = 0.04:0.005:0.4;
DifferenceTableIC = computeDifferenceToBST(RangeThr,seedsAU,BST,evaluationMeasure,percentageExperiments,numSeeds);
figure;plot(DifferenceTableNR(:,1), DifferenceTableNR(:,2)); xlabel('Threshold');ylabel('Difference in Percent of Experiments to BST');title('IC')
axis([min(RangeThr) max(RangeThr) 0 1])

load('EnzymeBST.mat')
BST = cell2mat(BST);
load('SimpleStoppingRules_onEnz_uncertainty.mat')
RangeThr = 0.04:0.005:0.4;
DifferenceTableEnz = computeDifferenceToBST(RangeThr,seedsAU,BST,evaluationMeasure,percentageExperiments,numSeeds);
figure;plot(DifferenceTableNR(:,1), DifferenceTableNR(:,2)); xlabel('Threshold');ylabel('Difference in Percent of Experiments to BST');title('Enzyme')
axis([min(RangeThr) max(RangeThr) 0 1])

DifferenceTablePercentage = zeros(length(RangeThr),4);

DifferenceTablePercentage(:,1) = DifferenceTableNR(:,2)';
DifferenceTablePercentage(:,2) = DifferenceTableGPCR(:,2)';
DifferenceTablePercentage(:,3) = DifferenceTableIC(:,2)';
DifferenceTablePercentage(:,4) = DifferenceTableEnz(:,2)';

averageDifferencePercent = zeros(length(RangeThr),1);
for i = 1:length(RangeThr)
    averageDifferencePercent(i)=mean(DifferenceTablePercentage(i,:));
end

figure;plot(RangeThr, averageDifferencePercent); xlabel('Threshold');ylabel('Average Difference in Percent of Experiments to BST');title('Four Data sets')
axis([min(RangeThr) max(RangeThr) 0 1])