function asession(wseed, luniq,lresp,linform,SavePath)
% Function that computes and stores active learning traces on simulated data.
% The parameters of the function are:
% wseed: random seed for the simulation
% luniq: the value for the uniqueness of the generated interaction matrix
% lresp: the value for the responsivness
% linform: the value for the noise on the kernel
% SavePath: path to the directory, where the simulated data is saved

handle_active = @active_learning_KBMF_column;
N = 50;%N squared is the size of the interaction matrix 

vv = sprintf('u%d_r%d_i%d_s%d', luniq, lresp, linform, wseed);

display('simulation time')
tic
[thedata, drug_kernel, protein_kernel] = generate_case(N, N, lresp/100.0, luniq/100.0, linform/100.0);
toc
interactions = thedata;
interactions(thedata==0)=-1;
% interactions ought to be the same as "thedata" but it's
% safer this way to not assume that.
display('active learning')
tic
[queried, predicted] = handle_active(thedata, drug_kernel, protein_kernel,20,wseed);
toc

%Save additionally for tests
save([SavePath,'Queried_',vv,'.mat'], 'queried')
save([SavePath,'Predicted_',vv,'.mat'], 'predicted')
save([SavePath,'Interactions_',vv,'.mat'], 'interactions')
