function [Ax Az F_est] =computeAs( Kx, Kz, Y,R,margin)
%Computes the predictions given the similatiry kernels Kx, Kz, the
%interactions matrix Y and the KBMF paramters R and margin
%
% Author: Maja Temerinac-Ott
% Date: Jan 2014
% E-Mail: temerina@frias.uni-freiburg.de

%In order to use the semi-supervised learning method, the entries with
%unknown labels in the matrix are marked with nan
Y(Y==0)=nan;
%Train the paramters
state = kbmf_classification_train(Kx, Kz, Y, R);

%Output As
Ax = state.Ax.mean;
Az = state.Az.mean;
if isfield(state,'F')
    F_est = state.F;
else
    F_est.mean = Y;
    F_est.std = ones(size(Y));
end

