function computeBSTdrugs
datasetName(1).name = ['NuclearReceptor' filesep];
datasetName(2).name = ['GPCR' filesep];
datasetName(3).name = ['IonChannel' filesep];
datasetName(4).name = ['Enzyme' filesep];

seed = [56,346,567,890,234,12,932,123];
numSeeds = length(seed);
R = 20;

%load the true interaction matrix
curr_path = which('computeBST.m');
for ind_name = 1: length(datasetName)
IntermediateDataPathNr = [curr_path(1:end-22),'IntermediateData', ...
    filesep, datasetName(ind_name).name];
evaluationMeasure = cell(numSeeds,1);
percentageExperiments = cell(numSeeds,1);
BST = cell(numSeeds,1);

for seed_idx = 1:numSeeds 
    IntermediateDataFile1 = [IntermediateDataPathNr,'Y_queried_for_each_run_train_R_',num2str(R),'_seed_',num2str(seed(seed_idx)),'_drugs_holdoute.mat'];
    IntermediateDataFile2 = [IntermediateDataPathNr,'Y_likelihood_for_each_run_train_R_',num2str(R),'_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
    IntermediateDataFile3 = [IntermediateDataPathNr,'Y_test_set_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
    IntermediateDataFile4 = [IntermediateDataPathNr,'Y_likelihood_for_each_run_test_R_',num2str(R),'_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
    IntermediateDataFile5 = [IntermediateDataPathNr,'Y_train_set_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
    
    % load sample data
    load(IntermediateDataFile1);
    load(IntermediateDataFile2);
    load(IntermediateDataFile3);
    load(IntermediateDataFile4);
    load(IntermediateDataFile5);
    evaluationMeasure{seed_idx} = computeEvaluationMeasureAUCdrugs_holdout(Y_likelihood_all_test,Y_true_test);
    percentageExperiments{seed_idx} = computePercentageCompleted_drugs(Y_queired_all_train);
    [val,ind]=max(evaluationMeasure{seed_idx});
    close_to_max = val-0.05*val;
    ind_close = find(evaluationMeasure{seed_idx}>close_to_max);
    %For each data set, I can save the 8 BST (according to our modified condition)
    BST{seed_idx} = ind_close(1);
end

save([datasetName(ind_name).name(1:end-1),'BST'],'BST')
end