function DifferenceTable = computeDifferenceToBST(RangeThr,seedsAU,BST,evaluationMeasure,percentageExperiments,numSeeds)
DifferenceTable = zeros(length(RangeThr),3);
count=1;
for i = 1:length(RangeThr)
    predThreshold = RangeThr(i);
    AUC_predThreshold = zeros(1,numSeeds);
    percentTrainingPT  = zeros(1,numSeeds);
    AUC_BST = zeros(1,numSeeds);
    percentTrainingBST  = zeros(1,numSeeds);
    
    for seed_idx = 1:numSeeds
        ind = find(seedsAU{seed_idx}>=predThreshold);
        AUC_BST(seed_idx) = evaluationMeasure{seed_idx}(BST(seed_idx));
        percentTrainingBST(seed_idx) = percentageExperiments{seed_idx}(BST(seed_idx));
        
        if length(ind)>0
            AUC_predThreshold(seed_idx) = evaluationMeasure{seed_idx}(ind(end));
            percentTrainingPT(seed_idx) = percentageExperiments{seed_idx}(ind(end));
                        
        else
            AUC_predThreshold(seed_idx) = evaluationMeasure{seed_idx}(end);
            percentTrainingPT(seed_idx) = percentageExperiments{seed_idx}(end);
        end
    end
 
    DifferenceTable(count,1) = predThreshold;
    DifferenceTable(count,2) = mean(abs(percentTrainingBST-percentTrainingPT));
   % DifferenceTable(count,3) = mean(abs(AUC_BST-AUC_predThreshold));
   DifferenceTable(count,3) = mean(AUC_BST-AUC_predThreshold);
    count = count+1;
end