function discoveryRate = computeDiscoveryRate(Y_queired_all,Y_true)
% Computes the an evaluation measure on the test set (the experiments which have not been realized yet) for each run.
%
% Author: Maja Temerinac-Ott
% Date: Jan 2014
% E-Mail: temerina@frias.uni-freiburg.de

numberRuns = size(Y_queired_all,3);
discoveryRate = zeros(numberRuns,1);

for i = 1:numberRuns

    currentY = Y_queired_all(:,:,i);
    
    % Number of interactions verified so far using experiments
    ind = find(currentY(:)==1);
    
    %Compute discovery rate
    discoveryRate(i) = length(ind)/sum(Y_true(:));
    
end 