function evaluationMeasure = computeEvaluationMeasure(Y_queired_all,Y_predict_all,Y_true)
% Computes the an evaluation measure on the test set (the experiments which have not been realized yet) for each run.
%
% Author: Maja Temerinac-Ott
% Date: Jan 2014
% E-Mail: temerina@frias.uni-freiburg.de

numberRuns = size(Y_queired_all,3);
evaluationMeasure = zeros(numberRuns,1);

 for i = 1:numberRuns

    currentY = Y_queired_all(:,:,i);
    currentY_predict = Y_predict_all(:,:,i);
    %Select only the experiments, which have not been realized
    ind = find(currentY(:)==0);
    val_true = Y_true(ind);
    val_predict = currentY_predict(ind);
   
    %Compute accuracy on the test set
    val_true(val_true==0)=-1;
    if length(val_true)>0
        evaluationMeasure(i) = sum(val_true==val_predict)/length(val_true); 
    else
        evaluationMeasure(i)=1;
    end
    
end 