function evaluationMeasure = computeEvaluationMeasureAUCdrugs(Y_queired_all,Y_likelihood_all,Y_true)
% Computes the an evaluation measure on the test set (the experiments which have not been realized yet) for each run.
%
% Author: Maja Temerinac-Ott
% Date: Feb 2014
% E-Mail: temerina@frias.uni-freiburg.de

numberRuns = size(Y_queired_all,3);
evaluationMeasure = zeros(numberRuns,1);

for i = 1:numberRuns
    currentY = Y_queired_all(:,:,i);
    currentY_likelihood = Y_likelihood_all(:,:,i);
    %Select only the experiments, which have not been realized
    ind = find(currentY(1,:)==0);   
    %Compute AUC on the test set
    numTest = length(ind);
	D = zeros(1,numTest);
    for j = 1:numTest
        F = currentY_likelihood(:,ind(j));
        G = Y_true(:,ind(j));
        D(j) = compute_AUC(F(:),G(:));   
    end
    evaluationMeasure(i) =  mean(D);        
end 