function F =computeF(Ax,Az,Kx,Kz)
%Computes the predictions given the similatiry kernels Kx, Kz, the
%interactions matrix Y and the paramters R and margin
%
% Author: Maja Temerinac-Ott
% Date: Jan 2014
% E-Mail: temerina@frias.uni-freiburg.de
F = zeros(size(Kx,1),size(Kz,1));

for i = 1:size(Kx,1)
    for j = 1:size(Kz,1)
        kz = Kz(j,:);
        kx = Kx(i,:);
        F(i,j) = kz*Az*Ax'*kx';
    end
end

