clear all
close all

load('SimpleStoppingRules_onNR_uncertainty.mat')
RangeThr = [0.12,0.09,0.06,0.03,0.025];
numSeeds = 8;

StoppingTable = zeros(length(RangeThr),3);
count=1;
for i = 1:length(RangeThr)
    predThreshold = RangeThr(i);
    AUC_predThreshold = zeros(1,numSeeds);
    percentTrainingPT  = zeros(1,numSeeds);
    
    for seed_idx = 1:numSeeds
        ind = find(seedsEE{seed_idx}<=predThreshold);
        
        if length(ind)>0
            AUC_predThreshold(seed_idx) = evaluationMeasure{seed_idx}(ind(1));
            percentTrainingPT(seed_idx) = percentageExperiments{seed_idx}(ind(1));
                        
        else
            AUC_predThreshold(seed_idx) = evaluationMeasure{seed_idx}(end);
            percentTrainingPT(seed_idx) = percentageExperiments{seed_idx}(end);
        end
    end
 
    StoppingTable(count,1) = predThreshold;
    StoppingTable(count,2) = mean(percentTrainingPT);
    StoppingTable(count,3) = mean(AUC_predThreshold);
    count = count+1;
end

StoppingTable