function percentageExperiments = computePercentageCompleted_drugs(Y_queired_all)
% Computes the percentage of realized exeperiments (entries in Y which are not zero) for each run.
%
% Author: Maja Temerinac-Ott
% Date: Jan 2014
% E-Mail: temerina@frias.uni-freiburg.de

numberRuns = size(Y_queired_all,3);
percentageExperiments = zeros(numberRuns,1);

for i = 1:numberRuns
    knownDrugs = Y_queired_all(1,:,i);
    percentageExperiments(i) = sum(knownDrugs~=0)/length(knownDrugs);
end 