function compute_adapted_stopping_rule_drugs_uncertainty


datasetName(1).name = 'NuclearReceptor\';
datasetName(2).name = 'GPCR\';
datasetName(3).name = 'IonChannel\';
datasetName(4).name = 'Enzyme\';

datasetName(1).short = 'NR';
datasetName(2).short = 'GPCR';
datasetName(3).short = 'IC';
datasetName(4).short = 'Enz';

seed = [56,346,567,890,234,12,932,123];
numSeeds = length(seed);
R = 20;
%load the true interaction matrix
curr_path = which('table2.m');
for ind_name = 1:length(datasetName)
IntermediateDataPathNr = [curr_path(1:end-17),'IntermediateData\',datasetName(ind_name).name];
load(['SimpleStoppingRules_on',datasetName(ind_name).short,'_uncertainty.mat'])

ResultsTable=zeros(numSeeds,3);
AUC_predThreshold = zeros(1,numSeeds);
percentTraining = zeros(1,numSeeds);
indAdaptedStoppingRule = zeros(1,numSeeds);
adaptedThresholdVal = zeros(1,numSeeds);

for seed_idx = 1:numSeeds
    [indFinal,adThreshold] = adaptedThreshold(seedsAU{seed_idx},seedsLC{seed_idx});
    AUC_predThreshold(seed_idx) = evaluationMeasure{seed_idx}(indFinal);
    percentTraining(seed_idx) = percentageExperiments{seed_idx}(indFinal);
    indAdaptedStoppingRule(seed_idx) = indFinal;
    adaptedThresholdVal(seed_idx) = adThreshold;
end 

save(['adaptedStoppingRule_on',datasetName(ind_name).short,'.mat'],'adaptedThresholdVal','indAdaptedStoppingRule','percentageExperiments','evaluationMeasure')

end