function compute_my_stopping_rule_drugs(bestlambda,raw_fit)
datasetName(1).name = 'NuclearReceptor\';
datasetName(2).name = 'GPCR\';
datasetName(3).name = 'IonChannel\';
datasetName(4).name = 'Enzyme\';

datasetName(1).short = 'NR';
datasetName(2).short = 'GPCR';
datasetName(3).short = 'IC';
datasetName(4).short = 'Enz';

seed = [56,346,567,890,234,12,932,123];
numSeeds = length(seed);
R = 20;
%load the true interaction matrix
curr_path = which('table2.m');
for ind_name = 1:length(datasetName)
IntermediateDataPathNr = [curr_path(1:end-17),'IntermediateData\',datasetName(ind_name).name];

seedsMyMethod = cell(numSeeds,1);
evaluationMeasure = cell(numSeeds,1);
percentageExperiments = cell(numSeeds,1);
for seed_idx = 1:numSeeds 
    IntermediateDataFile1 = [IntermediateDataPathNr,'Y_queried_for_each_run_train_R_',num2str(R),'_seed_',num2str(seed(seed_idx)),'_drugs_holdoute.mat'];
    IntermediateDataFile2 = [IntermediateDataPathNr,'Y_likelihood_for_each_run_train_R_',num2str(R),'_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
    IntermediateDataFile3 = [IntermediateDataPathNr,'Y_test_set_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
    IntermediateDataFile4 = [IntermediateDataPathNr,'Y_likelihood_for_each_run_test_R_',num2str(R),'_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
    IntermediateDataFile5 = [IntermediateDataPathNr,'Y_train_set_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
    
    load(IntermediateDataFile1);
    load(IntermediateDataFile2);
    load(IntermediateDataFile3);
    load(IntermediateDataFile4);
    load(IntermediateDataFile5);
    
    Y_predict_all_train = Y_likelihood_all_train;
    Y_predict_all_train(Y_predict_all_train>0) = 1;
    Y_predict_all_train(Y_predict_all_train<=0) = -1;
    
    % load sample data
    load(IntermediateDataFile1);
    load(IntermediateDataFile2);
    load(IntermediateDataFile3);
    load(IntermediateDataFile4);
    load(IntermediateDataFile5);
    %MyStop = my_stopping_rule_drugs(Y_queired_all_train,Y_likelihood_all_train,Y_true_test,Y_likelihood_all_test,Y_true_train);
    MyStop = predictAccuracy(raw_fit,bestlambda,Y_queired_all_train, Y_predict_all_train);
    seedsMyMethod{seed_idx} = MyStop;  
    evaluationMeasure{seed_idx} = computeEvaluationMeasureAUCdrugs_holdout(Y_likelihood_all_test,Y_true_test);
    percentageExperiments{seed_idx} = computePercentageCompleted_drugs(Y_queired_all_train);
end

save(['myMethodStoppingRule_on',datasetName(ind_name).short,'.mat'],'seedsMyMethod','evaluationMeasure','percentageExperiments')
end

