function compute_simple_stopping_rule_drugs_uncertainty

datasetName(1).name = ['NuclearReceptor' filesep];
datasetName(2).name = ['GPCR' filesep];
datasetName(3).name = ['IonChannel' filesep];
datasetName(4).name = ['Enzyme' filesep];

datasetName(1).short = 'NR';
datasetName(2).short = 'GPCR';
datasetName(3).short = 'IC';
datasetName(4).short = 'Enz';
for ind_name = 1:length(datasetName)
    seed = [56,346,567,890,234,12,932,123];
    numSeeds = length(seed);
    R = 20;
    %load the true interaction matrix
    curr_path = which('table2.m');
    IntermediateDataPathNr = [curr_path(1:end-17),'IntermediateData', ...
        filesep, datasetName(ind_name).name];
    seedsEE = cell(numSeeds,1);%expected error
    seedsSA = cell(numSeeds,1);%sampled accuracy
    seedsAU = cell(numSeeds,1);%overall uncertainty
    seedsMU = cell(numSeeds,1);%maximum uncertainty
    seedsAU_average = cell(numSeeds,1);
    seedsMU_average = cell(numSeeds,1);
    seedsLC = cell(numSeeds,1);
    evaluationMeasure = cell(numSeeds,1);
    percentageExperiments = cell(numSeeds,1);
    for seed_idx = 1:numSeeds
        IntermediateDataFile1 = [IntermediateDataPathNr, 'Y_queried_for_each_run_train_R_',num2str(R),'_seed_',num2str(seed(seed_idx)),'_drugs_holdoute.mat'];
        IntermediateDataFile2 = [IntermediateDataPathNr, 'Y_likelihood_for_each_run_train_R_',num2str(R),'_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
        IntermediateDataFile3 = [IntermediateDataPathNr, 'Y_test_set_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
        IntermediateDataFile4 = [IntermediateDataPathNr, 'Y_likelihood_for_each_run_test_R_',num2str(R),'_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
        IntermediateDataFile5 = [IntermediateDataPathNr, 'Y_train_set_seed_',num2str(seed(seed_idx)),'_drugs_holdout.mat'];
        % load sample data
        load(IntermediateDataFile1);
        load(IntermediateDataFile2);
        load(IntermediateDataFile3);
        load(IntermediateDataFile4);
        load(IntermediateDataFile5);
        [EE,AU,MU,SA,AU_average,MU_average,LC] = simple_stopping_rule_drugs_uncertainty(Y_queired_all_train,Y_likelihood_all_train,Y_true_test,Y_likelihood_all_test,Y_true_train);
        seedsEE{seed_idx} = EE;
        seedsSA{seed_idx} = SA;
        seedsAU{seed_idx} = AU;
        seedsAU_average{seed_idx} = AU_average;
        seedsMU{seed_idx} = MU;
        seedsMU_average{seed_idx} = MU_average;
        seedsLC{seed_idx} = LC;
        evaluationMeasure{seed_idx} = computeEvaluationMeasureAUCdrugs_holdout(Y_likelihood_all_test,Y_true_test);
        percentageExperiments{seed_idx} = computePercentageCompleted_drugs(Y_queired_all_train);
    end
    ['SimpleStoppingRules_on',datasetName(ind_name).short,'_uncertainty.mat'];
    save(['SimpleStoppingRules_on',datasetName(ind_name).short,'_uncertainty.mat'],'seedsAU','seedsAU_average','seedsMU','seedsMU_average','seedsSA','seedsLC','evaluationMeasure','percentageExperiments','seedsEE')
end


