function averageDifferencePercent = evaluateDifferenceToBST_OU(RangeThr,numSeeds,fpath)
%Plot difference of Percentage Sampled to BST
load([fpath,'NuclearReceptorBST.mat'])
BST = cell2mat(BST);
load([fpath,'SimpleStoppingRules_onNR_uncertainty.mat'])
DifferenceTableNR = computeDifferenceToBST(RangeThr,seedsAU,BST,evaluationMeasure,percentageExperiments,numSeeds);

load([fpath,'GPCRBST.mat'])
BST = cell2mat(BST);
load([fpath,'SimpleStoppingRules_onGPCR_uncertainty.mat'])
DifferenceTableGPCR = computeDifferenceToBST(RangeThr,seedsAU,BST,evaluationMeasure,percentageExperiments,numSeeds);

load([fpath,'IonChannelBST.mat'])
BST = cell2mat(BST);
load([fpath,'SimpleStoppingRules_onIC_uncertainty.mat'])
DifferenceTableIC = computeDifferenceToBST(RangeThr,seedsAU,BST,evaluationMeasure,percentageExperiments,numSeeds);

load([fpath,'EnzymeBST.mat'])
BST = cell2mat(BST);
load([fpath,'SimpleStoppingRules_onEnz_uncertainty.mat'])
DifferenceTableEnz = computeDifferenceToBST(RangeThr,seedsAU,BST,evaluationMeasure,percentageExperiments,numSeeds);

%Group the entries by thresholdvalue
DifferenceTablePercentage = zeros(length(RangeThr),4);
DifferenceTableAUC = zeros(length(RangeThr),4);


DifferenceTablePercentage(:,1) = DifferenceTableNR(:,2)';
DifferenceTablePercentage(:,2) = DifferenceTableGPCR(:,2)';
DifferenceTablePercentage(:,3) = DifferenceTableIC(:,2)';
DifferenceTablePercentage(:,4) = DifferenceTableEnz(:,2)';

DifferenceTableAUC(:,1) = DifferenceTableNR(:,3)';
DifferenceTableAUC(:,2) = DifferenceTableGPCR(:,3)';
DifferenceTableAUC(:,3) = DifferenceTableIC(:,3)';
DifferenceTableAUC(:,4) = DifferenceTableEnz(:,3)';


%Compute average difference of Percentage of Experiments over all data sets
%for each threshold
averageDifferencePercent = zeros(length(RangeThr),3);

for i = 1:length(RangeThr)
    averageDifferencePercent(i,2)=RangeThr(i);
    averageDifferencePercent(i,2)=mean(DifferenceTablePercentage(i,:));
    averageDifferencePercent(i,3)=std(DifferenceTablePercentage(i,:));   
end

