function [averageDifferencePercent,stdDifferencePercent] = evaluateDifferenceToBST_OU_adapted(numSeeds,fpath)

%Table predThreshold,percent,AUC
%numSeeds = 8;
%Plot difference of Percentage Sampled to BST
load([fpath,'NuclearReceptorBST.mat'])
BST = cell2mat(BST);
load([fpath,'adaptedStoppingRule_onNR.mat'])
DifferenceTableNR = computeDifferenceToBSTadaptedStoppingRule(indAdaptedStoppingRule,adaptedThresholdVal,BST,evaluationMeasure,percentageExperiments,numSeeds);

load([fpath,'GPCRBST.mat'])
BST = cell2mat(BST);
load([fpath,'adaptedStoppingRule_onGPCR.mat'])
DifferenceTableGPCR = computeDifferenceToBSTadaptedStoppingRule(indAdaptedStoppingRule,adaptedThresholdVal,BST,evaluationMeasure,percentageExperiments,numSeeds);

load([fpath,'IonChannelBST.mat'])
BST = cell2mat(BST);
load([fpath,'adaptedStoppingRule_onIC.mat'])
DifferenceTableIC = computeDifferenceToBSTadaptedStoppingRule(indAdaptedStoppingRule,adaptedThresholdVal,BST,evaluationMeasure,percentageExperiments,numSeeds);
 
load([fpath,'EnzymeBST.mat'])
BST = cell2mat(BST);
load([fpath,'adaptedStoppingRule_onEnz.mat'])
DifferenceTableEnz = computeDifferenceToBSTadaptedStoppingRule(indAdaptedStoppingRule,adaptedThresholdVal,BST,evaluationMeasure,percentageExperiments,numSeeds);
 
%Group the entries by thresholdvalue
DifferenceTablePercentage = zeros(1,4);
DifferenceTableAUC = zeros(1,4);
  
DifferenceTablePercentage(1,1) = DifferenceTableNR(:,2)';
DifferenceTablePercentage(1,2) = DifferenceTableGPCR(:,2)';
DifferenceTablePercentage(1,3) = DifferenceTableIC(:,2)';
DifferenceTablePercentage(1,4) = DifferenceTableEnz(:,2)';

DifferenceTableAUC(1,1) = DifferenceTableNR(:,3)';
DifferenceTableAUC(1,2) = DifferenceTableGPCR(:,3)';
DifferenceTableAUC(1,3) = DifferenceTableIC(:,3)';
DifferenceTableAUC(1,4) = DifferenceTableEnz(:,3)';

%Compute average difference of Percentage of Experiments over all data sets
%for the adopted threshold
averageDifferencePercent=mean(DifferenceTablePercentage);
stdDifferencePercent=std(DifferenceTablePercentage);


