#!/bin/bash

# Author: Ivan E. Cao-Berg (icaoberg@scs.cmu.edu)
#
# Copyright (C) 2015 Murphy Lab
# Computational Biology Department
# School of Computer Science
# Carnegie Mellon University
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
# For additional information visit http://murphylab.web.cmu.edu or
# send email to murphy@cmu.edu

echo "*********************"
echo "* LICENSE AGREEMENT *"
echo "*********************"
echo "All data downloaded from the Murphy Lab web site (http://murphylab.web.cmu.edu) remain the 
property of the 
Murphy" 
echo "Lab. You are granted a non-exclusive license to use these images for non-commercial, 
research purposes, with the" 
echo "following conditions: (a) you agree to include a reference to"

echo "M. Temerinac-Ott, A. W. Naik, and R. F. Murphy (2015) Deciding when to stop: Efficient 
experimentation to learn to predict drug-target interactions. BMC Bioinformatics 16:213."
echo "when presenting or publishing your results, (b) you agree to send a copy of any paper or 
abstract (upon its"
echo "acceptance for publication or presentation) by FAX, email or regular mail to Dr. Murphy, 
and (c) you agree not to "
echo "distribute these images without inclusion of this notice."

echo "Dr. Robert F. Murphy"
echo "Professor of Biological Sciences, Biomedical Engineering and Machine Learning"
echo "Carnegie Mellon University"
echo "4400 Fifth Ave., Pittsburgh, PA 15213"
echo "FAX: 412-268-6571"
echo "email: murphy@cmu.edu"

URL="http://http://murphylab.web.cmu.edu/software/2015_BMC_bioinformatics/"
FILES=( BMC_active_intermediate_data.tar.aa
BMC_active_intermediate_data.tar.ab
BMC_active_intermediate_data.tar.ac
BMC_active_intermediate_data.tar.ad
BMC_active_intermediate_data.tar.ae
BMC_active_intermediate_data.tar.af
BMC_active_intermediate_data.tar.ag
BMC_active_intermediate_data.tar.ah
BMC_active_intermediate_data.tar.ai
BMC_active_intermediate_data.tar.aj
BMC_active_intermediate_data.tar.ak
BMC_active_intermediate_data.tar.al
BMC_active_intermediate_data.tar.am
BMC_active_intermediate_data.tar.an
BMC_active_intermediate_data.tar.ao
BMC_active_intermediate_data.tar.ap
BMC_active_intermediate_data.tar.aq
BMC_active_intermediate_data.tar.ar
BMC_active_intermediate_data.tar.as
BMC_active_intermediate_data.tar.at
BMC_active_intermediate_data.tar.au
BMC_active_intermediate_data.tar.av
BMC_active_intermediate_data.tar.aw
BMC_active_intermediate_data.tar.ax
BMC_active_intermediate_data.tar.ay
BMC_active_intermediate_data.tar.az
BMC_active_intermediate_data.tar.ba
BMC_active_intermediate_data.tar.bb
BMC_active_intermediate_data.tar.bc
BMC_active_intermediate_data.tar.bd
BMC_active_intermediate_data.tar.be
BMC_active_intermediate_data.tar.bf
BMC_active_intermediate_data.tar.bg
BMC_active_intermediate_data.tar.bh
BMC_active_intermediate_data.tar.bi
BMC_active_intermediate_data.tar.bj
BMC_active_intermediate_data.tar.bk
BMC_active_intermediate_data.tar.bl
BMC_active_intermediate_data.tar.bm
BMC_active_intermediate_data.tar.bn
BMC_active_intermediate_data.tar.bo
BMC_active_intermediate_data.tar.bp
BMC_active_intermediate_data.tar.bq
BMC_active_intermediate_data.tar.br
BMC_active_intermediate_data.tar.bs
BMC_active_intermediate_data.tar.bt
BMC_active_intermediate_data.tar.bu
BMC_active_intermediate_data.tar.bv
BMC_active_intermediate_data.tar.bw
BMC_active_intermediate_data.tar.bx
BMC_active_intermediate_data.tar.by
BMC_active_intermediate_data.tar.bz
BMC_active_intermediate_data.tar.ca
BMC_active_intermediate_data.tar.cb
BMC_active_intermediate_data.tar.cc
BMC_active_intermediate_data.tar.cd
BMC_active_intermediate_data.tar.ce
BMC_active_intermediate_data.tar.cf
BMC_active_intermediate_data.tar.cg
BMC_active_intermediate_data.tar.ch
BMC_active_intermediate_data.tar.ci )

echo "Downloading files..."

for FILE in ${FILES[@]}
do
	curl -O "$URL""$FILE"
done

echo "Concatenating files. Please wait, this may take a few minutes..."
cat BMC_active_intermediate_data.tar.* > BMC_active_intermediate_data.tar

echo "Extracting files. Please wait, this may take a few minutes..."
tar -xvf BMC_active_intermediate_data.tar
