% Mehmet Gonen (mehmet.gonen@aalto.fi)
% Helsinki Institute for Information Technology HIIT
% Department of Information and Computer Science
% Aalto University School of Science

function prediction = kbmf1k1mkl_semisupervised_classification_variational_test(Kx, Kz, state)
    Nx = size(Kx, 2);
    Nz = size(Kz, 2);
    Pz = size(Kz, 3);
    R = size(state.Ax.mean, 2);

    prediction.Gx.mean = zeros(R, Nx);
    for s = 1:R
        prediction.Gx.mean(s, :) = state.Ax.mean(:, s)' * Kx;
    end

    prediction.Gz.mean = zeros(R, Nz, Pz);
    for n = 1:Pz
        for s = 1:R
            prediction.Gz.mean(s, :, n) = state.Az.mean(:, s)' * Kz(:, :, n);
        end
    end
    prediction.Hz.mean = zeros(R, Nz);
    for n = 1:Pz
        prediction.Hz.mean = prediction.Hz.mean + state.ez.mean(n) * prediction.Gz.mean(:, :, n);
    end

    prediction.F.mean = prediction.Gx.mean' * prediction.Hz.mean;
end