% Mehmet Gonen (mehmet.gonen@aalto.fi)
% Helsinki Institute for Information Technology HIIT
% Department of Information and Computer Science
% Aalto University School of Science

function prediction = kbmf2mkl_supervised_classification_variational_test(Kx, Kz, state)
    Nx = size(Kx, 2);
    Px = size(Kx, 3);
    Nz = size(Kz, 2);
    Pz = size(Kz, 3);
    R = size(state.Ax.mean, 2);

    prediction.Gx.mean = zeros(R, Nx, Px);
    for m = 1:Px
        for s = 1:R
            prediction.Gx.mean(s, :, m) = state.Ax.mean(:, s)' * Kx(:, :, m);
        end
    end
    prediction.Hx.mean = zeros(R, Nx);
    for m = 1:Px
        prediction.Hx.mean = prediction.Hx.mean + state.ex.mean(m) * prediction.Gx.mean(:, :, m);
    end

    prediction.Gz.mean = zeros(R, Nz, Pz);
    for n = 1:Pz
        for s = 1:R
            prediction.Gz.mean(s, :, n) = state.Az.mean(:, s)' * Kz(:, :, n);
        end
    end
    prediction.Hz.mean = zeros(R, Nz);
    for n = 1:Pz
        prediction.Hz.mean = prediction.Hz.mean + state.ez.mean(n) * prediction.Gz.mean(:, :, n);
    end

    prediction.F.mean = prediction.Hx.mean' * prediction.Hz.mean;
end