%function [percentData, Accuracy] = simple_stopping_rule(Y_likelihood_all,Y_queried_all)
function simple_stopping_rule(Y_likelihood_all,Y_queried_all)
% Determine the uncertainty on the unknown labels
% Here we have per experiment uncertainty

% determine number of runs
numRuns = size(Y_queried_all,3);
MU = size(numRuns-1,1);
AU = size(numRuns-1,1);
SA = size(numRuns-1,1);


for i = 1:numRuns-1
%determine unlabeled entries
labels = Y_queried_all(:,:,i);
unlabeled = find(labels(:)==0);
likelihood = Y_likelihood_all(:,:,i);
% We have a numerical value between plus minus infinity and we want to
% convert it to a probabilty value between 0 and 1:
% We divide the abslute values by the maximal absolute value' not a good
% idea since we then always have 1 for the most uncertain
uncertainty = abs(likelihood(unlabeled));
uncertainty = (10 - uncertainty)/10;
    
% compute maximal uncertainty on unlabeled data
MU(i) = max(uncertainty);
% compute average uncertainty on unlabeled data
AU(i) = mean(uncertainty);
% compute selected accuracy (classification accuracy on the top m seleceted examples)
end

figure;
hold on
plot(1:numRuns-1,MU,'r');
plot(1:numRuns-1,AU,'b');
xlabel('number of Runs')
ylabel('stopping criterion')
hold off
legend('MU','AU')
