function [AU,MU,SA,AU_average,MU_average,LC] = simple_stopping_rule_drugs(Y_queried_all_train,Y_likelihood_all_train,Y_true_test,Y_likelihood_all_test,Y_true_train)
% Determine the uncertainty on the unknown labels
% Here we have per drug uncertainty, enter drug likelihood

% Determine the uncertainty on the unknown drugs

% determine number of runs
numRuns = size(Y_queried_all_train,3);
MU = size(numRuns-1,1);
MU_average = size(numRuns-1,1);
AU = size(numRuns-1,1);
AU_average = size(numRuns-1,1);
SA = size(numRuns-1,1);
LC = size(numRuns-1,1);

for i = 1:numRuns-1
%determine unlabeled entries
labels = Y_queried_all_train(:,:,i);
unlabeled = find(labels(:)==0);
likelihood = Y_likelihood_all_train(:,:,i);
[unlabeledx,unlabeledy] = find(labels==0);
unlabeledy = unique(unlabeledy);
average_drug_likelihood = mean(abs(likelihood(:,unlabeledy)));

%determin the batch data using the queried data from two consecutive runs
labels_next = Y_queried_all_train(:,:,i+1);
unlabeled_next = find(labels_next(:)==0);
batchInd = find(labels_next(:)~=labels(:));
true_batchLabels = labels_next(batchInd);

predicted = likelihood;
predicted(likelihood<0)=-1;
predicted(likelihood>0)=1;
predicted_batchLabels = predicted(batchInd);
predicted_unlabeled = predicted(unlabeled_next);

likelihood_next = Y_likelihood_all_train(:,:,i+1);
predicted_next = likelihood_next;
predicted_next(likelihood_next<0)=-1;
predicted_next(likelihood_next>0)=1;
predicted_unlabeled_next = predicted_next(unlabeled_next);


% We have a numerical value between plus minus infinity and we want to
% convert it to a probabilty value between 0 and 1:
% We divide the abslute values by the maximal absolute value' not a good
% idea since we then always have 1 for the most uncertain
uncertainty = (10 - abs(likelihood(unlabeled)))/10;
uncertainty_drug = (10 - average_drug_likelihood)/10;


% compute maximal uncertainty on unlabeled data
 MU(i) = max(uncertainty);
 MU_average(i) = max(uncertainty_drug);
% compute average uncertainty on unlabeled data
AU(i) = mean(uncertainty);
AU_average(i) = mean(uncertainty_drug);
% compute sample accuracy on the batch data (classification accuracy on the top m seleceted examples)
SA(i) = sum(true_batchLabels==predicted_batchLabels)/length(batchInd);
% compute label change on the remaining unlabeled data on two consecutive runs (also count the number of label changes)
LC(i) = sum(predicted_unlabeled~=predicted_unlabeled_next);
end

% figure;
% hold on
% plot(1:numRuns-1,MU,'r');
% plot(1:numRuns-1,AU,'b');
% plot(1:numRuns-1,SA,'g');
% xlabel('number of Runs')
% ylabel('stopping criterion')
% hold off
% legend('MU','AU','SA')
% 
% figure;
% plot(1:numRuns-1,LC,'m');
% xlabel('number of Runs')
% ylabel('Label Change')
% title('Number of unlabeled samples changing their label ')

% figure;
% hold on
% plot(1:numRuns-1,MU_average,'r');
% plot(1:numRuns-1,AU_average,'b');
% xlabel('number of Runs')
% ylabel('stopping criterion')
% hold off
% legend('MU average','AU average')