clear all
close all
%datasetName = 'NuclearReceptor\';
%datasetName = 'GPCR\';
%datasetName = 'IonChannel\';
datasetName = 'Enzyme\';

seed = [56,346,567,890,234,12,932,123];
numSeeds = length(seed);
R = 20;
%load the true interaction matrix
curr_path = which('table2_holdout20.m');
IntermediateDataPathNr = [curr_path(1:end-23),'IntermediateData\',datasetName];
load('SimpleStoppingRules_onEnz_uncertainty.mat')

ResultsTable=zeros(numSeeds,3);
AUC_predThreshold = zeros(1,numSeeds);
percentTraining = zeros(1,numSeeds);
indAdaptedStoppingRule = zeros(1,numSeeds);
adaptedThresholdVal = zeros(1,numSeeds);

for seed_idx = 1:numSeeds
    [indFinal,adThreshold] = adaptedThreshold(seedsAU{seed_idx},seedsLC{seed_idx});
    AUC_predThreshold(seed_idx) = evaluationMeasure{seed_idx}(indFinal);
    percentTraining(seed_idx) = percentageExperiments{seed_idx}(indFinal);
    indAdaptedStoppingRule(seed_idx) = indFinal;
    adaptedThresholdVal(seed_idx) = adThreshold;
end 

save('adaptedStoppingRule_onEnz.mat','adaptedThresholdVal','indAdaptedStoppingRule','percentageExperiments','evaluationMeasure')

